Bug 128754 - media:/ confuses filedescriptor devices with floppy devices on FreeBSD
Summary: media:/ confuses filedescriptor devices with floppy devices on FreeBSD
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: media (show other bugs)
Version: unspecified
Platform: FreeBSD Ports FreeBSD
: NOR normal (vote)
Target Milestone: ---
Assignee: Kevin Ottens
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-07 16:31 UTC by Michael Nottebrock
Modified: 2006-06-15 23:31 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Bogus filedescriptor drive. ;-) (62.23 KB, image/png)
2006-06-07 16:32 UTC, Michael Nottebrock
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Nottebrock 2006-06-07 16:31:43 UTC
Version:            (using KDE KDE 3.5.3)
Installed from:    FreeBSD Ports
OS:                FreeBSD

In FreeBSD, floppy disk devices are named /dev/fd0, /dev/fd1 [...].

However:

FreeBSD also has filedescriptor devices which are named /dev/fd/0, dev/fd/1 ... etc.

By default, /dev/fd is provided by devfs(5), which provides nodes for the
first three file descriptors.  Some sites may require nodes for additional file descriptors; these can be made available by mounting fdescfs(5) on /dev/fd.

Media gets confused by these devices, which results in bogus floppy drives being detected (See attached screenshot).
Comment 1 Michael Nottebrock 2006-06-07 16:32:49 UTC
Created attachment 16505 [details]
Bogus filedescriptor drive. ;-)
Comment 2 Kevin Ottens 2006-06-09 23:13:14 UTC
Do you mean that I should ignore the entry if the fs type is "fdescfs" ?
Comment 3 Michael Nottebrock 2006-06-10 00:31:39 UTC
That might work - there's still the entries from devfs left, but for some reason media does not seem to pick up those. If you could whip up a patch, I can test.
Comment 4 Kevin Ottens 2006-06-15 23:30:59 UTC
SVN commit 551883 by ervin:

Filesystem typ "fdescfs" is now blacklisted. That should be enough to 
fix this one. Please reopen if it's still broken.

BUG: 128754


 M  +1 -0      fstabbackend.cpp  


--- branches/KDE/3.5/kdebase/kioslave/media/mediamanager/fstabbackend.cpp #551882:551883
@@ -111,6 +111,7 @@
 	if ( mount->mountType() == "swap"
 	  || mount->mountType() == "tmpfs"
 	  || mount->mountType() == "sysfs"
+	  || mount->mountType() == "fdescfs"
 	  || mount->mountType() == "kernfs"
 	  || mount->mountType() == "usbfs"
 	  || mount->mountType().contains( "proc" )